Microsoft.Build.Utilities 2.0.0.0 System.Object Microsoft.Build.Framework.ITask

This abstract class provides default implementations for the methods and properties of the interface.

This class can only be instantiated in a derived form.

When overridden in a derived form, provides functionality for tasks.

- Constructor
  To be added.

  Initializes a new instance of the class.

  2.0.0.0
- Constructor

  This constructor allows derived task classes to register their resources.

  Initializes a new instance of the class with the specified .

  The task resources.
  2.0.0.0
- Constructor

  This constructor allows derived task classes to register their resources, as well as provide a prefix for composing help keywords from string resource names. If is an empty string, string resource names will be used verbatim as help keywords.

  Initializes a new instance of the class with the specified and .

  The task resources.
  The prefix to append to string resources to create Help keywords.
  2.0.0.0
- Property
  Microsoft.Build.Framework.IBuildEngine To be added.

  The build engine automatically sets this property to allow tasks to call back into it.

  Gets or sets the instance of the object used by the task.

  2.0.0.0
- Method
  System.Boolean

  This class must be overridden in a derived class, and is used for performing task execution logic.

  When overridden in a derived class, executes the task.

  true if the task successfully executed; otherwise, false.

  2.0.0.0
- Property
  System.String To be added.

  If a task does not have Help keywords associated with its messages, it can ignore this property or set it to null. If this property is set to an empty , resource names will be used verbatim as Help keywords.

  Gets or sets the prefix used to compose Help keywords from resource names.

  2.0.0.0
- Property
  Microsoft.Build.Framework.ITaskHost To be added.

  If the host IDE has associated a host object with this particular task, then the build engine sets this property.

  The host object is provided by . Visual Studio determines the host object via a system registry key. For more information, see .

  Gets or sets the host object associated with the task.

  2.0.0.0
- Property
  Microsoft.Build.Utilities.TaskLoggingHelper To be added. To be added.

  Gets an instance of a class containing task logging methods.

  2.0.0.0
- Property
  System.Resources.ResourceManager To be added.

  If derived classes have localized strings, then they should register their resources either during construction, or through this property.

  Gets or sets the culture-specific resources associated with the task.

  2.0.0.0